Bug 143107 - Crash if I try to create columns for more then one part of text
Summary: Crash if I try to create columns for more then one part of text
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2021-06-28 15:21 UTC by Denis
Modified: 2021-06-30 13:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (12.55 KB, text/plain)
2021-06-28 19:04 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis 2021-06-28 15:21:10 UTC
Description:
I select part of text in my file, go to Format - Columns and increase the columns number from 1 to 2. Then I select another part of the text, do the same, and LibreOffice crashes.
I tried versions: 7.1.3.2, 7.1.2.2, 7.0.6.2, 7.1.4.2.
I tried to install another versions of GPU drivers - and I had the same result.

Xubuntu 21.04

https://youtu.be/3KnGapmpeQI

Steps to Reproduce:
1. I launched Libreoffice and opened my file.
2. Selected the first part of text and increases the columns number from 1 to 2. all is ok
3. Skipped some text and selected the second part of text
4. Libreoffice crashed

Actual Results:
Libreoffice crashed

Expected Results:
Obviously, the software should NOT crash


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 7.0.6.2
Build ID: 144abb84a525d8e30c9dbbefa69cbbf2d8d4ae3b
CPU threads: 16; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: ru-RU (ru_RU.UTF-8); ИП: ru-RU
Calc: threaded
Comment 1 Julien Nabet 2021-06-28 19:04:31 UTC
Created attachment 173251 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today + enable-dbgutil, I got an assertion (so not a crash) by doing this:
- create brand new odt file
- copy paste 5 paragraphs from Lorem Ipsum (see https://www.lipsum.com/feed/html)
- select first paragraph
- Format/columns
=> assertion
Comment 2 Julien Nabet 2021-06-28 19:06:16 UTC
Mike: I put you in cc since assert has been added with:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=8aaa28ed43978a9a4a20d62368410a57ec05c23f
author	Mike Kaganski <mike.kaganski@collabora.com>	2021-06-11 12:07:44 +0200
committer	Mike Kaganski <mike.kaganski@collabora.com>	2021-06-13 19:23:28 +0200
commit	8aaa28ed43978a9a4a20d62368410a57ec05c23f (patch)
tree	16706bd93e2af74db7220a099a1391bf7cdd1bd4
parent	f7c7e4c63f5479de66d2fbed9db34972a5bd05aa (diff)
Assert on valid order of which ids in ranges on SfxItemSet creation

I thought about submitting a new bugtracker but wonder if this assertion could show something wrong which may explain the crash of this bugtracker.
Comment 3 Commit Notification 2021-06-29 03:36:38 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7c95c16deba975b0b282ccea1fbfcfadd7aa28b3

tdf#143107 related: ensure correct order of which ids

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Mike Kaganski 2021-06-29 03:37:40 UTC
Unfortunately I don't know if the assert has something to do with the crash (I couldn't repro it locally). But the order was indeed wrong - should be fixed now. Thanks!
Comment 5 Xisco Faulí 2021-06-29 07:31:47 UTC
(In reply to Denis from comment #0)
> Description:
> I select part of text in my file, go to Format - Columns and increase the
> columns number from 1 to 2. Then I select another part of the text, do the
> same, and LibreOffice crashes.
> I tried versions: 7.1.3.2, 7.1.2.2, 7.0.6.2, 7.1.4.2.
> I tried to install another versions of GPU drivers - and I had the same
> result.
> 
> Xubuntu 21.04
> 
> https://youtu.be/3KnGapmpeQI
> 
> Steps to Reproduce:
> 1. I launched Libreoffice and opened my file.

Hello Denis,
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 6 Commit Notification 2021-06-29 08:32:39 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/375a0c6901d48a51ee8f4418afa85c2f191bbae4

tdf#143107 related: ensure correct order of which ids

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Denis 2021-06-29 13:07:23 UTC
(In reply to Xisco Faulí from comment #5)
> (In reply to Denis from comment #0)
> > Description:
> > I select part of text in my file, go to Format - Columns and increase the
> > columns number from 1 to 2. Then I select another part of the text, do the
> > same, and LibreOffice crashes.
> > I tried versions: 7.1.3.2, 7.1.2.2, 7.0.6.2, 7.1.4.2.
> > I tried to install another versions of GPU drivers - and I had the same
> > result.
> > 
> > Xubuntu 21.04
> > 
> > https://youtu.be/3KnGapmpeQI
> > 
> > Steps to Reproduce:
> > 1. I launched Libreoffice and opened my file.
> 
> Hello Denis,
> Thank you for reporting the bug. Please attach a sample document, as this
> makes it easier for us to verify the bug. 
> I have set the bug's status to 'NEEDINFO'. Please change it back to
> 'UNCONFIRMED' once the requested document is provided.
> (Please note that the attachment will be public, remove any sensitive
> information before attaching it. 
> See
> https://wiki.documentfoundation.org/QA/
> FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help
> on how to do so.)

(Un)fortunately, I can't reproduce the bug with another file. I tried to create another file with some random text and do the same (select text, split it into 2 columns, skip some text, select another text and split it into 2 columns), and... LO didn't crash this time.

Also, I noticed the LibreOffice doesn't crash even in the 'original', 'problematic' file, if I enable the 'Show Track Changes' option. I've recorded a video to demonstrate this: https://youtu.be/4t0-qLRjWJE
Comment 8 QA Administrators 2021-06-30 03:55:55 UTC Comment hidden (obsolete)
Comment 9 Julien Nabet 2021-06-30 11:10:09 UTC
Thank you Mike for the fix!
I confirm I don't reproduce the assertion.

For the rest, with a simple odt file containing 5 paragraphs of Lorem Ipsum, I don't reproduce the crash.

Could you please attach example file and indicate precisely what you select?
Comment 10 Roman Kuznetsov 2021-06-30 13:34:35 UTC
May be we should just close it as already FIXED now?